#include <boost/filesystem.hpp>
#include <iostream>

namespace {

namespace fs = boost::filesystem;

bool isPathAbsolute(const std::string& path)
{
    return !fs::path(path).root_directory().empty();
}

} // anonymous namespace

int main(int argc, char* argv[])
{
    std::cout << isPathAbsolute("/") << std::endl;
    std::cout << isPathAbsolute("/root") << std::endl;
    std::cout << isPathAbsolute("//") << std::endl;     // bug in boost?
    std::cout << isPathAbsolute("///") << std::endl;
    std::cout << isPathAbsolute("////") << std::endl;
}
